Subject: Re: bug#4030: forward-sexp parses character literal ?; as comment

From: Stefan Monnier <[email-masked]>
Date: Sat, 18 Jun 2016 00:31:39 -0400

> Does anyone have any further thoughts?  It wasn't clear to me from this
> discussion whether there was any consensus that this was actually a bug
> or not.

With the support for syntax-fontification "on-the-fly" within
forward-sexp, we could actually make forward-sexp handle those
cases correctly nowadays.

So we can either:
- make it work with a syntax-propertize-function.  Not sure it's worth
  the cost.
- deprecate ?; and friends, probably adding font-lock highlights to help
  spot the problematic cases, and maybe changing the Lisp reader code to
  warn about those things as well (with intention to remove support for
  them).
- keep on living with this occasional problem.

        Stefan